Login
Login-Name Passwort


 
Newsletter
Werbung

Sicherheit: Ausführen beliebiger Kommandos in Samba
Aktuelle Meldungen Distributionen
Name: Ausführen beliebiger Kommandos in Samba
ID: SUSE-SU-2017:1391-1
Distribution: SUSE
Plattformen: SUSE Linux Enterprise Software Development Kit 11-SP4, SUSE Linux Enterprise Server 11-SP4, SUSE Linux Enterprise Debuginfo 11-SP3, SUSE Linux Enterprise Debuginfo 11-SP4, SUSE Linux Enterprise Server 11-SP3-LTSS, SUSE Linux Enterprise Point of Sale 11-SP3
Datum: Mi, 24. Mai 2017, 16:42
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-7494

Originalnachricht

   SUSE Security Update: Security update for samba
______________________________________________________________________________

Announcement ID: SUSE-SU-2017:1391-1
Rating: important
References: #1038231
Cross-References: CVE-2017-7494
Affected Products:
SUSE Linux Enterprise Software Development Kit 11-SP4
SUSE Linux Enterprise Server 11-SP4
SUSE Linux Enterprise Server 11-SP3-LTSS
SUSE Linux Enterprise Point of Sale 11-SP3
SUSE Linux Enterprise Debuginfo 11-SP4
SUSE Linux Enterprise Debuginfo 11-SP3
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:


This update for samba fixes the following issue:

- An unprivileged user with access to the samba server could cause smbd to
load a specially crafted shared library, which then had the ability to
execute arbitrary code on the server as 'root'. [CVE-2017-7494,
bso#12780, bsc#1038231]


Patch Instructions:

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Software Development Kit 11-SP4:

zypper in -t patch sdksp4-samba-13127=1

- SUSE Linux Enterprise Server 11-SP4:

zypper in -t patch slessp4-samba-13127=1

- SUSE Linux Enterprise Server 11-SP3-LTSS:

zypper in -t patch slessp3-samba-13127=1

- SUSE Linux Enterprise Point of Sale 11-SP3:

zypper in -t patch sleposp3-samba-13127=1

- SUSE Linux Enterprise Debuginfo 11-SP4:

zypper in -t patch dbgsp4-samba-13127=1

- SUSE Linux Enterprise Debuginfo 11-SP3:

zypper in -t patch dbgsp3-samba-13127=1

To bring your system up-to-date, use "zypper patch".


Package List:

- SUSE Linux Enterprise Software Development Kit 11-SP4 (i586 ia64 ppc64
s390x x86_64):

libldb-devel-3.6.3-93.1
libnetapi-devel-3.6.3-93.1
libnetapi0-3.6.3-93.1
libsmbclient-devel-3.6.3-93.1
libsmbsharemodes-devel-3.6.3-93.1
libsmbsharemodes0-3.6.3-93.1
libtalloc-devel-3.6.3-93.1
libtdb-devel-3.6.3-93.1
libtevent-devel-3.6.3-93.1
libwbclient-devel-3.6.3-93.1
samba-devel-3.6.3-93.1
samba-test-3.6.3-93.1

- SUSE Linux Enterprise Server 11-SP4 (i586 ia64 ppc64 s390x x86_64):

ldapsmb-1.34b-93.1
libldb1-3.6.3-93.1
libsmbclient0-3.6.3-93.1
libtalloc2-3.6.3-93.1
libtdb1-3.6.3-93.1
libtevent0-3.6.3-93.1
libwbclient0-3.6.3-93.1
samba-3.6.3-93.1
samba-client-3.6.3-93.1
samba-krb-printing-3.6.3-93.1
samba-winbind-3.6.3-93.1

- SUSE Linux Enterprise Server 11-SP4 (ppc64 s390x x86_64):

libsmbclient0-32bit-3.6.3-93.1
libtalloc2-32bit-3.6.3-93.1
libtdb1-32bit-3.6.3-93.1
libtevent0-32bit-3.6.3-93.1
libwbclient0-32bit-3.6.3-93.1
samba-32bit-3.6.3-93.1
samba-client-32bit-3.6.3-93.1
samba-winbind-32bit-3.6.3-93.1

- SUSE Linux Enterprise Server 11-SP4 (noarch):

samba-doc-3.6.3-93.1

- SUSE Linux Enterprise Server 11-SP4 (ia64):

libsmbclient0-x86-3.6.3-93.1
libtalloc2-x86-3.6.3-93.1
libtdb1-x86-3.6.3-93.1
libtevent0-x86-3.6.3-93.1
libwbclient0-x86-3.6.3-93.1
samba-client-x86-3.6.3-93.1
samba-winbind-x86-3.6.3-93.1
samba-x86-3.6.3-93.1

- SUSE Linux Enterprise Server 11-SP3-LTSS (i586 s390x x86_64):

ldapsmb-1.34b-93.1
libldb1-3.6.3-93.1
libsmbclient0-3.6.3-93.1
libtalloc2-3.6.3-93.1
libtdb1-3.6.3-93.1
libtevent0-3.6.3-93.1
libwbclient0-3.6.3-93.1
samba-3.6.3-93.1
samba-client-3.6.3-93.1
samba-krb-printing-3.6.3-93.1
samba-winbind-3.6.3-93.1

- SUSE Linux Enterprise Server 11-SP3-LTSS (s390x x86_64):

libsmbclient0-32bit-3.6.3-93.1
libtalloc2-32bit-3.6.3-93.1
libtdb1-32bit-3.6.3-93.1
libtevent0-32bit-3.6.3-93.1
libwbclient0-32bit-3.6.3-93.1
samba-32bit-3.6.3-93.1
samba-client-32bit-3.6.3-93.1
samba-winbind-32bit-3.6.3-93.1

- SUSE Linux Enterprise Server 11-SP3-LTSS (noarch):

samba-doc-3.6.3-93.1

- SUSE Linux Enterprise Point of Sale 11-SP3 (noarch):

samba-doc-3.6.3-93.1

- SUSE Linux Enterprise Point of Sale 11-SP3 (i586):

ldapsmb-1.34b-93.1
libldb1-3.6.3-93.1
libsmbclient0-3.6.3-93.1
libtalloc2-3.6.3-93.1
libtdb1-3.6.3-93.1
libtevent0-3.6.3-93.1
libwbclient0-3.6.3-93.1
samba-3.6.3-93.1
samba-client-3.6.3-93.1
samba-krb-printing-3.6.3-93.1
samba-winbind-3.6.3-93.1

- SUSE Linux Enterprise Debuginfo 11-SP4 (i586 ia64 ppc64 s390x x86_64):

samba-debuginfo-3.6.3-93.1
samba-debugsource-3.6.3-93.1

- SUSE Linux Enterprise Debuginfo 11-SP4 (ppc64 s390x x86_64):

samba-debuginfo-32bit-3.6.3-93.1

- SUSE Linux Enterprise Debuginfo 11-SP4 (ia64):

samba-debuginfo-x86-3.6.3-93.1

- SUSE Linux Enterprise Debuginfo 11-SP3 (i586 s390x x86_64):

samba-debuginfo-3.6.3-93.1
samba-debugsource-3.6.3-93.1

- SUSE Linux Enterprise Debuginfo 11-SP3 (s390x):

samba-debuginfo-32bit-3.6.3-93.1


References:

https://www.suse.com/security/cve/CVE-2017-7494.html
https://bugzilla.suse.com/1038231

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Traut euch!
Neue Nachrichten
Werbung